From: =?utf-8?q?David_Pr=C3=A9vot?= <taffit@debian.org>
Date: Wed, 12 Feb 2025 18:39:07 +0100
Subject: Compatibility with recent PHPUnit (12)

---
 tests/EnvironmentTest.php | 3 +++
 tests/IniFilesTest.php    | 5 +++++
 tests/PhpConfigTest.php   | 3 +++
 tests/RestartTest.php     | 3 +++
 tests/SettingsTest.php    | 2 ++
 5 files changed, 16 insertions(+)

diff --git a/tests/EnvironmentTest.php b/tests/EnvironmentTest.php
index 7286627..69fed2e 100644
--- a/tests/EnvironmentTest.php
+++ b/tests/EnvironmentTest.php
@@ -16,6 +16,7 @@ namespace Composer\XdebugHandler\Tests;
 use Composer\XdebugHandler\Tests\Helpers\BaseTestCase;
 use Composer\XdebugHandler\Tests\Helpers\EnvHelper;
 use Composer\XdebugHandler\Tests\Mocks\PartialMock;
+use PHPUnit\Framework\Attributes\DataProvider;
 
 /**
  * @phpstan-import-type envTestData from EnvHelper
@@ -32,6 +33,7 @@ class EnvironmentTest extends BaseTestCase
      *
      * @dataProvider envAllowBeforeProvider
      */
+    #[DataProvider('envAllowBeforeProvider')]
     public function testEnvAllowBeforeRestart(string $iniFunc, $scanDir, $phprc): void
     {
         $ini = EnvHelper::setInis($iniFunc, $scanDir, $phprc);
@@ -68,6 +70,7 @@ class EnvironmentTest extends BaseTestCase
      * @param bool $standard If this is a standard restart
      * @dataProvider environmentProvider
      */
+    #[DataProvider('environmentProvider')]
     public function testEnvironmentBeforeRestart(string $iniFunc, $scanDir, $phprc, bool $standard): void
     {
         $ini = EnvHelper::setInis($iniFunc, $scanDir, $phprc);
diff --git a/tests/IniFilesTest.php b/tests/IniFilesTest.php
index 02425b1..325c58a 100644
--- a/tests/IniFilesTest.php
+++ b/tests/IniFilesTest.php
@@ -19,6 +19,7 @@ use Composer\XdebugHandler\Tests\Helpers\BaseTestCase;
 use Composer\XdebugHandler\Tests\Helpers\IniHelper;
 use Composer\XdebugHandler\Tests\Mocks\CoreMock;
 use Composer\XdebugHandler\Tests\Mocks\PartialMock;
+use PHPUnit\Framework\Attributes\DataProvider;
 
 class IniFilesTest extends BaseTestCase
 {
@@ -28,6 +29,7 @@ class IniFilesTest extends BaseTestCase
      *
      * @dataProvider iniFilesProvider
      */
+    #[DataProvider('iniFilesProvider')]
     public function testGetAllIniFiles(string $iniFunc): void
     {
         $ini = new IniHelper();
@@ -60,6 +62,7 @@ class IniFilesTest extends BaseTestCase
      *
      * @dataProvider tmpIniProvider
      */
+    #[DataProvider('tmpIniProvider')]
     public function testTmpIni(string $iniFunc, int $matchCount): void
     {
         $ini = new IniHelper();
@@ -97,6 +100,7 @@ class IniFilesTest extends BaseTestCase
      *
      * @dataProvider mergeIniProvider
      */
+    #[DataProvider('mergeIniProvider')]
     public function testMergeInis(string $name, string $value): void
     {
         $ini = new IniHelper();
@@ -160,6 +164,7 @@ class IniFilesTest extends BaseTestCase
      *
      * @dataProvider iniSectionsProvider
      */
+    #[DataProvider('iniSectionsProvider')]
     public function testIniSections(string $sectionName): void
     {
         $ini = new IniHelper();
diff --git a/tests/PhpConfigTest.php b/tests/PhpConfigTest.php
index 739ed63..bc8579d 100644
--- a/tests/PhpConfigTest.php
+++ b/tests/PhpConfigTest.php
@@ -17,6 +17,7 @@ use Composer\XdebugHandler\PhpConfig;
 use Composer\XdebugHandler\Tests\Helpers\BaseTestCase;
 use Composer\XdebugHandler\Tests\Helpers\EnvHelper;
 use Composer\XdebugHandler\Tests\Mocks\CoreMock;
+use PHPUnit\Framework\Attributes\DataProvider;
 
 /**
  * @phpstan-import-type envTestData from EnvHelper
@@ -30,6 +31,7 @@ class PhpConfigTest extends BaseTestCase
      * @param string[] $expected
      * @dataProvider commandLineProvider
      */
+    #[DataProvider('commandLineProvider')]
     public function testCommandLineOptions(string $method, array $expected): void
     {
         $loaded = true;
@@ -71,6 +73,7 @@ class PhpConfigTest extends BaseTestCase
      * @param false|string $phprc Initial value for PHPRC
      * @dataProvider environmentProvider
      */
+    #[DataProvider('environmentProvider')]
     public function testEnvironment(string $iniFunc, $scanDir, $phprc): void
     {
         $ini = EnvHelper::setInis($iniFunc, $scanDir, $phprc);
diff --git a/tests/RestartTest.php b/tests/RestartTest.php
index db3cfb3..5c16ebc 100644
--- a/tests/RestartTest.php
+++ b/tests/RestartTest.php
@@ -19,6 +19,7 @@ use Composer\XdebugHandler\Tests\Mocks\CoreMock;
 use Composer\XdebugHandler\Tests\Mocks\FailMock;
 use Composer\XdebugHandler\Tests\Mocks\PartialMock;
 use Composer\XdebugHandler\Tests\Mocks\RequiredMock;
+use PHPUnit\Framework\Attributes\DataProvider;
 
 class RestartTest extends BaseTestCase
 {
@@ -105,6 +106,7 @@ class RestartTest extends BaseTestCase
     /**
      * @dataProvider unreachableScriptProvider
      */
+    #[DataProvider('unreachableScriptProvider')]
     public function testNoRestartWithUnreachableScript(string $script): void
     {
         $loaded = true;
@@ -130,6 +132,7 @@ class RestartTest extends BaseTestCase
     /**
      * @dataProvider scriptSetterProvider
      */
+    #[DataProvider('scriptSetterProvider')]
     public function testRestartWithScriptSetter(string $script): void
     {
         $loaded = true;
diff --git a/tests/SettingsTest.php b/tests/SettingsTest.php
index bf7287b..238aa3a 100644
--- a/tests/SettingsTest.php
+++ b/tests/SettingsTest.php
@@ -16,6 +16,7 @@ namespace Composer\XdebugHandler\Tests;
 use Composer\XdebugHandler\Tests\Helpers\BaseTestCase;
 use Composer\XdebugHandler\Tests\Helpers\EnvHelper;
 use Composer\XdebugHandler\Tests\Mocks\CoreMock;
+use PHPUnit\Framework\Attributes\DataProvider;
 
 /**
  * @phpstan-import-type envTestData from EnvHelper
@@ -30,6 +31,7 @@ class SettingsTest extends BaseTestCase
      * @param false|string $phprc Initial value for PHPRC
      * @dataProvider environmentProvider
      */
+    #[DataProvider('environmentProvider')]
     public function testGetRestartSettings(string $iniFunc, $scanDir, $phprc): void
     {
         $ini = EnvHelper::setInis($iniFunc, $scanDir, $phprc);
